/*{
  "DESCRIPTION": "parallax-dots",
  "CREDIT": "https://www.shadertoy.com/view/3lsGRB",
  "CATEGORIES": [
    "Your category"
  ],
  "INPUTS": [
  ],
}*/

vec3 iResolution = vec3(RENDERSIZE, 1.);
float iTime = TIME;

/*
vec2 random2( vec2 p ) {
    return fract(sin(vec2(dot(p,vec2(127.1,311.7)),dot(p,vec2(269.5,183.3))))*43758.5453);
}

float grid(vec2 p,float res,float k){
     p.y+=iTime*k;
    vec2 u = fract(p * res)-.5;
    vec2 e = floor(p * res);
    float r = random2(e).x * 0.25;
    vec2 rnd =  random2(floor(p.y+2.) +e)-0.5;
    u -= rnd*(1.0 - r * 2.0);
    float d = length(u);
    return  step(r,d);   
}

void mainImage( out vec4 fragColor, in vec2 fragCoord )
{
    vec2 uv = fragCoord/iResolution.y;
    float z = 1.0;
    z *=grid(uv,35.0,0.2);
    z *=grid(uv,10.,0.4);
    z *=grid(uv,5.0,0.6);
    z *=grid(uv,2.0,0.9);
    fragColor = vec4(z);
}
*/

vec2 random2( vec2 p ) {
    return fract(sin(vec2(dot(p,vec2(127.1,311.7)),dot(p,vec2(269.5,183.3))))*43758.5453);
}

float grid(vec2 p,float res,float k){
     p.y+=iTime*k;
    vec2 u = fract(p * res)-.5;
    vec2 e = floor(p * res);
    float r = random2(e).x * 0.25;
    vec2 rnd =  random2(floor(p.y+2.) +e)-0.5;
    u -= rnd*(1.0 - r * 2.0);
    float d = length(u);
   return  smoothstep(r,r*1.2,d);   
}

void mainImage( out vec4 fragColor, in vec2 fragCoord )
{
    vec2 uv = fragCoord/iResolution.y;
    float z = 1.0;
    for(float i = 3.; i < 7.0; i++){
            z *=grid(uv,i*3.,2.0-0.3*i);
    }
    fragColor = vec4(z);
}


void main(void) {
    mainImage(gl_FragColor, gl_FragCoord.xy);
}