/*{
  "DESCRIPTION": "simple-circles",
  "CREDIT": "https://www.shadertoy.com/view/4djGDc",
  "CATEGORIES": [
    "Your category"
  ],
  "INPUTS": [
  ],
}*/

vec3 iResolution = vec3(RENDERSIZE, 1.);
float iTime = TIME;

/*
  Andor Salga
  March 2014
*/

void mainImage( out vec4 fragColor, in vec2 fragCoord )
{
  vec2 uv = (fragCoord.xy / iResolution.xy) * 2. - 1.;
  vec2 aspectRatio = vec2(iResolution.x / iResolution.y, 1.);
  float time = -iTime * 5.;
  fragColor = vec4( sin(length(uv * aspectRatio * .8) * 25. + time) );
}

void main(void) {
    mainImage(gl_FragColor, gl_FragCoord.xy);
}